## nds2-client-swig-0.16.10.tar.bz2

=== CMakeLists.txt ===
# -*- mode: cmake; coding: utf-8; cmake-tab-width: 4; indent-tabs-mode: nil; -*- vim:fenc=utf-8:ft=cmake:et:sw=4:ts=4:sts=4
#------------------------------------------------------------------------
#
# DEFINES:
#   CMAKE_INSTALL_PREFIX  - Installation prefix
#   MATLAB_NO_NODISPLAY   - Run the matlab tests w/o using the -nodisplay option
#   PROG_MATLAB           - Full path to MATLAB executable
#   REPLAY_BLOB_CACHE_DIR - Directory containing replay blobs for testing
#------------------------------------------------------------------------
cmake_minimum_required( VERSION 3.0 FATAL_ERROR )

set(NDS_HOME_PAGE_URL "https://wiki.ligo.org/Computing/NDSClient")
set(NDS_SOURCE_URL "https://software.igwn.org/lscsoft/source")

set( NDS_CLIENT_SWIG_VERSION 0.16.10)
set( NDS_CLIENT_VERSION 0.16.7)

project(nds2-client-swig
    VERSION "${NDS_CLIENT_SWIG_VERSION}"
    LANGUAGES C CXX)

set( CMAKE_CXX_STANDARD 11 )

set( NDS_CONFIG_PATH "${PROJECT_SOURCE_DIR}/config/cmake")
set( PROJECT_BASENAME nds2-client )

set( CMAKE_MODULE_PATH "${NDS_CONFIG_PATH}/Modules;${CMAKE_MODULE_PATH}" )
set( CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE )

include(UseNDS)
include(Cpp11)
include(CheckIncludeFileCXX)

include(CheckCXXCompilerFlag)
include(GNUInstallDirs)
if ( NOT DEFINED CMAKE_INSTALL_PKGDATADIR )
    set( CMAKE_INSTALL_PKGDATADIR ${CMAKE_INSTALL_DATADIR}/nds2-client )
endif( )

cond_set_policy( CMP0042 NEW )
cond_set_policy( CMP0068 NEW )

include(ax_packaging)
include(Autotools/Archive/Archive)
include(Autotools/ArchiveX/ArchiveX)

find_package( nds2-client REQUIRED ${NDS_CLIENT_VERSION})

#========================================================================
# Local macros
#========================================================================

macro(is_enabled _VARNAME)
  # ---------------------------------------------------------------------
  #
  # ---------------------------------------------------------------------
  if( ${_VARNAME} )
    set(IS_ENABLED_VALUE "ENABLED")
  else ()
    set(IS_ENABLED_VALUE "DISABLED")
  endif ()
endmacro(is_enabled)

function(set_nds_protocols variable TEST_NAME)
    string(REPLACE "_" ";" name_list ${TEST_NAME})
    list(SORT name_list)
    list(REMOVE_DUPLICATES name_list)
    list(REMOVE_ITEM name_list "")
    ## message(STATUS "DEBUG: set_nds_protocols: name_list: ${name_list}")

    list(FIND name_list nds1 _index)
    if (${_index} GREATER -1)
        set(protocol_list ${NDS_TESTING_PROTOCOLS_NDS1})
    endif (${_index} GREATER -1)

    list(FIND name_list nds2 _index)
    if (${_index} GREATER -1)
        set(protocol_list ${NDS_TESTING_PROTOCOLS_NDS2})
    endif (${_index} GREATER -1)
    list(LENGTH protocol_list len)
    if ( NOT DEFINED protocol_list )
        message(FATAL_ERROR "Unable to determine NDS protocol for test ${TEST_NAME}")
    endif ( NOT DEFINED protocol_list )
    ## message(STATUS "DEBUG: set_nds_protocols: protocol_list: ${protocol_list}")
    set(${variable} ${protocol_list} PARENT_SCOPE)
endfunction(set_nds_protocols)

macro( unquote VAR )
    #--------------------------------------------------------------------
    # Removes outer most level of quotation.
    #--------------------------------------------------------------------
    string( STRIP "${${VAR}}" ${VAR} )
    string( REGEX REPLACE "^\"(.*)\"$" "\\1" ${VAR} ${${VAR}} )
endmacro( unquote VAR )

function( verify_release_info filename pattern )
    #--------------------------------------------------------------------
    # verifies that file has string pattern for release.
    #--------------------------------------------------------------------
    file(READ ${filename} buffer)
    string( FIND "${buffer}" ${pattern} matchres )
    if( ${matchres} EQUAL -1 )
        message( FATAL_ERROR "File: ${filename} has not been updated for release ${pattern}" )
    else( )
        message( STATUS "File: ${filename} has been updated for release ${pattern}" )
    endif( )
endfunction( )

#========================================================================
# Release version number
#========================================================================
set( PACKAGE_NAME ${PROJECT_NAME} )
set( PACKAGE_VERSION ${${PROJECT_NAME}_VERSION} )

# The following line is an input marker for some sed work when doing a
# CI build, it is used to inject an updated version tag when building
# a deb/rep/...  so it is only used on a copy of this file.
##CI_code_version_update

verify_release_info( "${CMAKE_SOURCE_DIR}/ChangeLog.md" "${PROJECT_NAME}-${PROJECT_VERSION}")
verify_release_info( "${CMAKE_SOURCE_DIR}/debian/changelog" "${PROJECT_NAME} (${PROJECT_VERSION}-1)")

#========================================================================
# Prepare for testing
#========================================================================

if ( NOT DEFINED NDS_TESTING_PROTOCOLS_NDS1 )
    set( NDS_TESTING_PROTOCOLS_NDS1
        nds1-12_2 )
endif ( NOT DEFINED NDS_TESTING_PROTOCOLS_NDS1 )
if ( NOT DEFINED NDS_TESTING_PROTOCOLS_NDS2 )
    set( NDS_TESTING_PROTOCOLS_NDS2
        nds2-1_6 nds2-1_5 )
endif ( NOT DEFINED NDS_TESTING_PROTOCOLS_NDS2 )
if ( DEFINED CTEST_TESTING_TIMEOUT )
    set( CTEST_TESTING_TIMEOUT 60 )
endif ( DEFINED CTEST_TESTING_TIMEOUT )

if( NOT CTEST_MEMORYCHECK_COMMAND )
    find_program( CTEST_MEMORYCHECK_COMMAND NAMES valgrind )
endif( NOT CTEST_MEMORYCHECK_COMMAND )
if( NOT MEMORYCHECK_COMMAND )
    set( MEMORYCHECK_COMMAND ${CTEST_MEMORYCHECK_COMMAND} )
endif( NOT MEMORYCHECK_COMMAND )

if( NOT CTEST_MEMORYCHECK_COMMAND_OPTIONS )
    set( CTEST_MEMORYCHECK_COMMAND_OPTIONS "--trace-children=yes --leak-check=full" )
endif( NOT CTEST_MEMORYCHECK_COMMAND_OPTIONS )
if( NOT MEMORYCHECK_COMMAND_OPTIONS )
    set( MEMORYCHECK_COMMAND_OPTIONS ${CTEST_MEMORYCHECK_COMMAND_OPTIONS} )
endif( NOT MEMORYCHECK_COMMAND_OPTIONS )


include( CTest )


find_package(
    NDSTester 0.15.3 REQUIRED
    HINTS ${nds2-client_DIR} )
set( NDS_TESTER_FOUND ${NDSTester_FOUND} )

if ( NDS_TESTER_FOUND )
    set(NDS_TESTER_FLAGS
        "--builddir=\${CMAKE_CURRENT_BINARY_DIR}"
        "--abs-top-srcdir=${CMAKE_SOURCE_DIR}"
        "--abs-srcdir=\${CMAKE_CURRENT_SOURCE_DIR}"
        "--abs-top-builddir=${CMAKE_BINARY_DIR}"
        "--abs-testerdir=${ABS_TESTERDIR}"
        )
endif()

# message( FATAL_ERROR "DEBUG: NDS_TESTER_FOUND: ${NDS_TESTER_FOUND}" )

#========================================================================
# Prepare for distribuition
#========================================================================
#   G e n e r a l
#------------------------------------------------------------------------
set( CPACK_PACKAGE_VENDOR "LIGO" )
set( CPACK_PACKAGE_MAJOR ${${PROJECT_NAME}_MAJOR_VERSION} )
set( CPACK_PACKAGE_MINOR ${${PROJECT_NAME}_MINOR_VERSION} )
set( CPACK_PACKAGE_PATCH ${${PROJECT_NAME}_PATCH_VERSION} )
set( CPACK_PACKAGE_DESCRIPTION_SUMMARY "Client interface to NDS and NDS2 servers" )
set( CPACK_PACKAGE_VERSION "${CPACK_PACKAGE_MAJOR}.${CPACK_PACKAGE_MINOR}.${CPACK_PACKAGE_PATCH}" )
#------------------------------------------------------------------------
#   S O U R C E
#------------------------------------------------------------------------
set( CPACK_SOURCE_GENERATOR TBZ2 )
set( CPACK_SOURCE_PACKAGE_FILE_NAME
     ${PROJECT_NAME}-${${PROJECT_NAME}_VERSION} )
#set( CPACK_SYSTEM_NAME noarch )
set( CPACK_SOURCE_IGNORE_FILES "/.*~$/;/(CVS|autom4te[.]cache)/;/[.]svn/;[.]swap$;[.]#;.*~$;cscope.*")

include(CPack)

cpack_add_component_group(Runtime
                          DESCRIPTION "Pieces needed for running")

#========================================================================
# Find import pieces
#========================================================================

find_package(SWIG 3.0.7 REQUIRED)
if( SWIG_FOUND)
    if( DEFINED SWIG_USE_FILE )
        include(${SWIG_USE_FILE})
    else( )
        include(UseSWIG)
    endif( )
endif( )

message( STATUS "DEBUG: NDS_CLIENT_LIBRARIES: ${NDS_CLIENT_LIBRARIES}" )
message( STATUS "DEBUG: NDS_CLIENT_CFLAGS: ${NDS_CLIENT_CFLAGS}" )
message( STATUS "DEBUG: NDS_CLIENT_INCLUDE_DIRS: ${NDS_CLIENT_INCLUDE_DIRS}" )

#========================================================================
# Get the default python interpreter for testing purposes
#========================================================================

cx_python( PREFIX PYTHON_DFLT )
find_program( PROG_MATLAB matlab )

#========================================================================
# Handle the target languages
#========================================================================

set( SUBPORTS
    ${PROJECT_BASENAME}-java
    ${PROJECT_BASENAME}-matlab
    # ${PROJECT_BASENAME}-octave
    py27-${PROJECT_BASENAME}
    py34-${PROJECT_BASENAME}
    py35-${PROJECT_BASENAME}
    py36-${PROJECT_BASENAME}
    )

add_subdirectory(common)
add_subdirectory(python)
add_subdirectory(java)
add_subdirectory(octave)

add_subdirectory(matlab)

#========================================================================
# Generation of documentation
#========================================================================

find_package(Doxygen)

if(DOXYGEN_FOUND)
  configure_file(
      ${CMAKE_CURRENT_SOURCE_DIR}/manual.txt.in
      ${CMAKE_CURRENT_BINARY_DIR}/manual.txt
      @ONLY )
  #--------------------------------------------------------------------
  # User documentation
  #--------------------------------------------------------------------
  cx_target_manual(
    TARGET User
    TEMPLATE ${CMAKE_CURRENT_SOURCE_DIR}/NDSClientDoc.cfg.in
    ENABLE_SECTIONS "USER_SECTION"
    MAIN_PAGE ${CMAKE_CURRENT_BINARY_DIR}/manual.txt
    HIDE_UNDOC_MEMBERS
    HIDE_UNDOC_CLASSES
    EXCLUDE_PATTERNS */sqlite3.* */test/* */CMakeLists.txt *.in
    )
  cx_target_manual(
    TARGET Developer
    TEMPLATE ${CMAKE_CURRENT_SOURCE_DIR}/NDSClientDoc.cfg.in
    ENABLE_SECTIONS "DEVELOPER_SECTION"
    MAIN_PAGE ${CMAKE_CURRENT_BINARY_DIR}/manual.txt
    EXTRACT_ALL
    EXTRACT_PRIVATE
    EXTRACT_STATIC
    EXTRACT_LOCAL_CLASSES
    EXTRACT_LOCAL_METHODS
    EXTRACT_ANON_NSPACES
    EXCLUDE_PATTERNS */sqlite3.* */test/* */CMakeLists.txt *.in
    )
  cx_target_manual(
    TARGET Administrator
    TEMPLATE ${CMAKE_CURRENT_SOURCE_DIR}/NDSClientDoc.cfg.in
    ENABLE_SECTIONS "ADMIN_SECTION"
    MAIN_PAGE ${CMAKE_CURRENT_BINARY_DIR}/manual.txt
    HIDE_UNDOC_MEMBERS
    HIDE_UNDOC_CLASSES
    EXCLUDE_PATTERNS */sqlite3.* */test/* */CMakeLists.txt *.in
    )
endif(DOXYGEN_FOUND)

#========================================================================
# Provide additional information regarding components
#========================================================================
cpack_add_component(Development
    DISPLAY_NAME "SWIG  extensions"
    DESCRIPTION
        "Pieces needed to build extensions to the nds2 client using SWIG"
        )

#========================================================================
# Testing of the packaging
#========================================================================
set( AX_SOURCE_SPEC_FILENAME "${NDS_CONFIG_PATH}/${PROJECT_NAME}.spec.in" )
ax_packaging( )

if ( MACPORTSBUILD AND TARGET macports-subport-${PROJECT_BASENAME}-java )
    add_dependencies(
        macports-subport-${PROJECT_BASENAME}-matlab
        macports-subport-${PROJECT_BASENAME}-java )
endif( )
#========================================================================
# Save command line to file for later rebuilding
#========================================================================
get_cmake_property(CACHE_VARS CACHE_VARIABLES)
foreach(CACHE_VAR ${CACHE_VARS})
  get_property(CACHE_VAR_HELPSTRING CACHE ${CACHE_VAR} PROPERTY HELPSTRING)
  if(CACHE_VAR_HELPSTRING STREQUAL "No help, variable specified on the command line.")
    get_property(CACHE_VAR_TYPE CACHE ${CACHE_VAR} PROPERTY TYPE)
    if(CACHE_VAR_TYPE STREQUAL "UNINITIALIZED")
      set(CACHE_VAR_TYPE)
    else()
      set(CACHE_VAR_TYPE :${CACHE_VAR_TYPE})
    endif()

=== octave/CMakeLists.txt ===
# -*- mode: cmake; coding: utf-8; cmake-tab-width: 4; indent-tabs-mode: nil; -*- vim:fenc=utf-8:ft=cmake:et:sw=4:ts=4:sts=4

#========================================================================
# Discover if Octave is available and usable
#========================================================================
if (APPLE AND UNIX AND NOT DEFINED ENABLE_SWIG_OCTAVE)
    #--------------------------------------------------------------------
    # Currently there is an issue were SWIG and Octave are incompatable
    #   under MacPorts
    #--------------------------------------------------------------------
    set(ENABLE_SWIG_OCTAVE FALSE)
endif()
if ( NOT DEFINED ENABLE_SWIG_OCTAVE OR ENABLE_SWIG_OCTAVE )
    find_package(HDF5)
    find_package(Octave)
endif( )

if (OCTAVE_FOUND AND SWIG_FOUND)

  set( OCTAVE_VERSION_STRING ${OCTAVE_VERSION_STRING} PARENT_SCOPE )

  set( ENABLE_SWIG_OCTAVE "yes"
       CACHE BOOL "Control the building of the SWIG bindings for Octave" )
  find_library( OCTAVE_OCTAVE_LIBRARY
                NAMES octave
		HINTS ${OCTAVE_LINK_DIRS} )
  find_library( OCTAVE_INTERP_LIBRARY
                NAMES octinterp
		HINTS ${OCTAVE_LINK_DIRS} )
  set( OCTAVE_LIBRARIES
       ${OCTAVE_INTERP_LIBRARY}
       ${OCTAVE_OCTAVE_LIBRARY} )

else( )
  set( ENABLE_SWIG_OCTAVE "no"
       CACHE BOOL "Control the building of the SWIG bindings for Octave" FORCE )
endif(OCTAVE_FOUND AND SWIG_FOUND)

add_subdirectory(module)
add_subdirectory(test)

#========================================================================
# Provide additional information regarding components
#========================================================================

cpack_add_component(Octave
    DISPLAY_NAME "Octave extensions"
    DESCRIPTION
        "Pieces needed to use the nds2 client from Octave"
    GROUP Runtime)

=== java/module/CMakeLists.txt ===
# -*- mode: cmake; coding: utf-8; cmake-tab-width: 4; indent-tabs-mode: nil; -*- vim:fenc=utf-8:ft=cmake:et:sw=4:ts=4:sts=4
cmake_minimum_required(VERSION 2.8.6)

if ( ENABLE_SWIG_JAVA )
    file( GLOB CONLIBNDSCXX_OBJECTS ${CONLIBNDSCXX_LIBRARY_DIRS}/* )

    function(SET_NDS_JAVA_LIBRARY_DIR BUILD_TYPE)
        if (WIN32)
            string(TOUPPER ${BUILD_TYPE} BUILD_TYPE_UPPER)
            set( NDS_LIBRARY_DIR $ENV{PATH} )
            list( INSERT NDS_LIBRARY_DIR 0 "${CMAKE_BINARY_DIR}/bin/${BUILD_TYPE}" )
            set( TMP_NDS_LIBRARY_DIR "" )
            foreach( TMP ${NDS_LIBRARY_DIR} )
                file( TO_NATIVE_PATH ${TMP} TMP )
                string( REPLACE "\\" "\\\\" TMP ${TMP} )
                string( LENGTH "${TMP_NDS_LIBRARY_DIR}" L )
                if( $L LESS 1 )
                    set( TMP_NDS_LIBRARY_DIR ${TMP} )
                else( $L LESS 1 )
                    set( TMP_NDS_LIBRARY_DIR "${TMP_NDS_LIBRARY_DIR}\\\\;${TMP}" )
                endif( $L LESS 1 )
            endforeach( TMP )
            #join( ${TMP_NDS_LIBRARY_DIR} ";" NDS_LIBRARY_DIR )
            set( NDS_LIBRARY_DIR ${TMP_NDS_LIBRARY_DIR} )
            #get_target_property( NDS_LIBRARY_DIR nds2JNI LIBRARY_OUTPUT_DIRECTORY )
            set(BUILD_TYPE_UPPER "_${BUILD_TYPE_UPPER}")
        else (WIN32)
            set(BUILD_TYPE_UPPER "")
            get_target_property( NDS_LIBRARY_DIR nds2 LIBRARY_OUTPUT_DIRECTORY )
        endif(WIN32)
        set( NDS_LIBRARY${BUILD_TYPE_UPPER}_DIR "${NDS_LIBRARY_DIR}"
            CACHE INTERNAL "Internal" )
        set( NDS_LIBRARY_DIR "${NDS_LIBRARY_DIR}"
            CACHE INTERNAL "Internal" )
    endfunction(SET_NDS_JAVA_LIBRARY_DIR )

    set(NDS2_JAR_PACKAGING FALSE
        CACHE PATH "True if the Java bindings should be distributed as a jar file." )


    include_directories( BEFORE
        ${CMAKE_CURRENT_BINARY_DIR}
        ${CMAKE_CURRENT_SOURCE_DIR}
        ${PROJECT_BINARY_DIR}/common/module
        ${PROJECT_SOURCE_DIR}/common/module
        ${nds2-client_INCLUDE_DIRS}
        ${JNI_INCLUDE_PATH}
        ${JAVA_INCLUDE_PATH}
        ${JAVA_INCLUDE_PATH2}
        )
    include_directories(AFTER "/usr/include")


    set(INTERFACE_FILE "nds_java.i")
    set(WRAPPER_FILE "nds2_wrap.cc")
    set(CMAKE_JNI_TARGET true)
    set(built_java_sources
        nds2/availability.java
        nds2/availability_list_type.java
        nds2/availabilityListType.java
        nds2/buffer.java
	      nds2/channel.java
        nds2/channel_names_type.java
	      nds2/connection.java
	      nds2/connection_iterator.java
        nds2/epoch.java
        nds2/epochs_type.java
        nds2/nds2.java
        nds2/segment.java
        nds2/segment_list_type.java
        nds2/simple_availability_list_type.java
        nds2/simple_segment.java
        nds2/simple_segment_list_type.java
        nds2/SWIGTYPE_p_channel__hash_type.java
        nds2/vectorEpochs.java
        nds2/vectorSegment.java
        nds2/vectorSimpleSegment.java
        nds2/vectorSimpleSegmentListType.java
        nds2/channel_predicate.java
        nds2/request_period.java
        nds2/parameters.java
	      nds2/nds2JNI.java)
    set(built_java_classes "")
    set(pathed_built_java_sources "")
    foreach(_NDS_FILE ${built_java_sources})
        string(REGEX REPLACE "^nds2/" ""
            _built_java_class ${_NDS_FILE})
        string(REGEX REPLACE ".java$" ".class"
            _built_java_class ${_built_java_class})
        set(built_java_classes ${built_java_classes} ${_built_java_class})
        set( pathed_built_java_sources
            ${pathed_built_java_sources}
            "${CMAKE_CURRENT_BINARY_DIR}/${_NDS_FILE}" )
    endforeach(_NDS_FILE ${built_java_sources})

    add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/nds2/connection_iterator.java
        COMMAND ${CMAKE_COMMAND} -E copy_if_different ${CMAKE_CURRENT_SOURCE_DIR}/connection_iterator.java ${CMAKE_CURRENT_BINARY_DIR}/nds2/connection_iterator.java
        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
        )

    set(CMAKE_SWIG_FLAGS -O -package nds2)
    set(CMAKE_SWIG_OUTDIR nds2)
    set_property(SOURCE ${INTERFACE_FILE} PROPERTY CPLUSPLUS ON)
    message( STATUS "Java_VERSION_MAJOR: ${Java_VERSION_MAJOR}")
    set(CMAKE_JAVA_COMPILE_FLAGS -source 1.7 -target 1.7 )
    set(_build_java_sources_cmd "")

    set_source_files_properties(${WRAPPER_FILE} PROPERTIES GENERATED true)
    set(CMAKE_JAVAC_WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
    set(CMAKE_JAVA_CLASS_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR}/nds2)
    set_source_files_properties(${built_java_sources} PROPERTIES GENERATED true)

    # -------------------------------------------------------------------
    # swig_add_module(nds2JNI java ${INTERFACE_FILE})
    # -------------------------------------------------------------------
    add_custom_command(
        OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/${WRAPPER_FILE}"
        DEPENDS
        COMMAND ${CMAKE_COMMAND}
        ARGS    -E make_directory ${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_SWIG_OUTDIR}
        COMMAND ${SWIG_EXECUTABLE}
        ARGS    -java -c++ ${CMAKE_SWIG_FLAGS}
        -I${CMAKE_CURRENT_BINARY_DIR}
        -I${CMAKE_CURRENT_SOURCE_DIR}
        -I${PROJECT_BINARY_DIR}/common/module
        -I${PROJECT_SOURCE_DIR}/common/module
        -o ${WRAPPER_FILE}
        -outdir ${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_SWIG_OUTDIR}
        ${INTERFACE_FILE}
        )
    # -------------------------------------------------------------------
    # swig_link_libraries(nds2JNI -static-libstdc++ ${JNI_LIBRARIES} $<TARGET_OBJECTS:ndswrapcxx_obj> ndsclient)
    # -------------------------------------------------------------------
    add_library( nds2JNI SHARED
        "${CMAKE_CURRENT_BINARY_DIR}/${WRAPPER_FILE}"
        )
    target_link_libraries( nds2JNI
        -static-libstdc++
        ${CONLIBNDSCXX_OBJECTS}
        ${JNI_LIBRARIES}
        nds::daqc
        )
    if( WIN32 )
        target_link_libraries( nds2JNI nds::cxx Ws2_32 )
    endif( WIN32 )

    target_requires_cpp11(nds2JNI PUBLIC)
    if (WIN32)
        #................................................................
        # Windows
        #................................................................
        add_custom_command(TARGET nds2JNI POST_BUILD
            COMMAND ${CMAKE_COMMAND} -E copy
            $<TARGET_FILE_DIR:nds2JNI>/$<TARGET_FILE_NAME:nds2JNI> ${CMAKE_CURRENT_BINARY_DIR}/libnds2JNI.jnilib)
    else (WIN32)
        #................................................................
        # Un*x / OSX
        #................................................................
        set_target_properties(nds2JNI
    	      PROPERTIES
            LIBRARY_OUTPUT_DIRECTORY nds2
    	      PREFIX lib
    	      SUFFIX .jnilib)
        if ( APPLE )
            set_target_properties(nds2JNI
    	          PROPERTIES
                INSTALL_RPATH "${CMAKE_INSTALL_FULL_LIBDIR}"
                BUILD_WITH_INSTALL_RPATH TRUE )
        endif ( APPLE )
    endif(WIN32)

    #--------------------------------------------------------------------
    # Build the JAR library
    #--------------------------------------------------------------------
    add_jar(nds2 ${built_java_sources})
    add_dependencies(nds2 nds2JNI)
    #--------------------------------------------------------------------
    # Build java documentation
    #--------------------------------------------------------------------
    if( NOT WIN32 )
        create_javadoc(
            nds2
            FILES ${pathed_built_java_sources}
            CLASSPATH ${CMAKE_JAVA_INCLUDE_PATH}
            INSTALLPATH ${CMAKE_INSTALL_DATADIR}/nds2-client/java
            WINDOWTITLE "NDS2 Client Interface"
            DOCTITLE "<h1>NDS2 Client Interface</h1>"
            AUTHOR TRUE
            USE TRUE
            VERSION TRUE
            )
        add_dependencies( nds2_javadoc nds2 )
    endif( NOT WIN32 )

    #--------------------------------------------------------------------
    # Create JAR of documentation
    #--------------------------------------------------------------------
    if( NOT WIN32 )
        add_custom_target(nds2_javadoc_jar
            ALL
            COMMAND ${CMAKE_COMMAND} -E echo ${JAVA_ARCHIVE} -cvf ${CMAKE_CURRENT_BINARY_DIR}/nds2_javadoc.jar "."
    	      COMMAND ${JAVA_ARCHIVE} -cvf ${CMAKE_CURRENT_BINARY_DIR}/nds2_javadoc.jar "."
    	      WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/javadoc/nds2"
    	      DEPENDS nds2_javadoc)
    endif( NOT WIN32 )
    #--------------------------------------------------------------------
    # Add the JNI library to the jar archive
    #--------------------------------------------------------------------
    add_custom_target(nds2JNIinclusion
        ALL
        COMMAND ${CMAKE_COMMAND} -E copy
        $<TARGET_FILE_DIR:nds2JNI>/$<TARGET_FILE_NAME:nds2JNI> "${CMAKE_CURRENT_BINARY_DIR}/nds2"
    	  COMMAND ${JAVA_ARCHIVE} uvf ${CMAKE_CURRENT_BINARY_DIR}/nds2.jar "nds2/$<TARGET_FILE_NAME:nds2JNI>"
    	  DEPENDS nds2)
    set( FILENAME_NDS2_JAR "${CMAKE_CURRENT_BINARY_DIR}/nds2.jar" )
    #====================================================================
    # Report the configuration
    #====================================================================
    configure_file( ${CMAKE_CURRENT_SOURCE_DIR}/nds2-client-java.cfg.in
        ${CMAKE_CURRENT_BINARY_DIR}/nds2-client-java.cfg
	      @ONLY )
    #====================================================================
    # Distribution rules
    #====================================================================
    if( NOT WIN32)
        install(
            FILES ${CMAKE_CURRENT_BINARY_DIR}/nds2-client-java.cfg
            DESTINATION ${CMAKE_INSTALL_FULL_SYSCONFDIR}/${PROJECT_BASENAME}
            COMPONENT JAVA
            )
    endif( NOT WIN32)

    install(
        FILES "${FILENAME_NDS2_JAR}"
        RENAME "nds2.jar"
	      DESTINATION ${CMAKE_INSTALL_LIBDIR}/nds2-client/java
	      COMPONENT JAVA
        )
    if ( NOT WIN32 )
        install(
            FILES ${CMAKE_CURRENT_BINARY_DIR}/nds2_javadoc.jar
            DESTINATION ${CMAKE_INSTALL_LIBDIR}/nds2-client/java
            COMPONENT JAVA
            )
    endif ( NOT WIN32 )
    foreach(_NDS_FILE ${built_java_classes})
	      install(
            FILES ${CMAKE_CURRENT_BINARY_DIR}/CMakeFiles/nds2.dir/nds2/${_NDS_FILE}
	          DESTINATION ${CMAKE_INSTALL_LIBDIR}/nds2-client/java/nds2
	          COMPONENT JAVA)
    endforeach(_NDS_FILE)

    install(TARGETS nds2JNI
	      DESTINATION ${CMAKE_INSTALL_LIBDIR}/java/nds2
	      COMPONENT JAVA)
    if (WIN32)
        install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/libnds2JNI.jnilib
	          DESTINATION ${CMAKE_INSTALL_LIBDIR}/java/nds2
            COMPONENT JAVA)
    endif(WIN32)

    set_nds_java_library_dir( "Release" )
    set_nds_java_library_dir( "Debug" )

ENDIF ( ENABLE_SWIG_JAVA )

=== octave/module/CMakeLists.txt ===
# -*- mode: cmake; coding: utf-8; cmake-tab-width: 4; indent-tabs-mode: nil; -*- vim:fenc=utf-8:ft=cmake:et:sw=4:ts=4:sts=4

if (ENABLE_SWIG_OCTAVE)
    include_directories(
        BEFORE
        ${PROJECT_SOURCE_DIR}/common/module
        ${PROJECT_BINARY_DIR}/common/module
        ${PROJECT_BINARY_DIR}/src/client
        ${CMAKE_CURRENT_SOURCE_DIR}
        ${nds2-client_INCLUDE_DIRS}
        ${HDF5_INCLUDE_DIRS}
        ${OCTAVE_INCLUDE_DIRS}
        )

    set(INTERFACE_FILE "nds_octave.i")

    set(CMAKE_SWIG_FLAGS "-O")
    set_source_files_properties(${INTERFACE_FILE} PROPERTIES
        CPLUSPLUS ON
        SWIG_FLAGS "-includeall"
    )
    set_source_files_properties(nds2OCTAVE_wrap.cxx PROPERTIES
        GENERATED true
    )
    if ( COMMAND SWIG_ADD_LIBRARY )
        swig_add_library(
            nds2_octave 
            LANGUAGE octave
            SOURCES ${INTERFACE_FILE}
            )
    else( )
        swig_add_module(nds2_octave octave ${INTERFACE_FILE})
    endif( )
    swig_link_libraries(nds2_octave ${OCTAVE_LIBRARIES} nds::cxx)
    set_target_properties(nds2_octave PROPERTIES
        OUTPUT_NAME nds2
        LINKER_LANGUAGE CXX
    )
    if( NOT OCTAVE_INSTALL_DIR )
        exec_program(${OCTAVE_CONFIG_EXECUTABLE}
            ARGS --oct-site-dir
            OUTPUT_VARIABLE OCTAVE_SITE_DIR
            OUTPUT_STRIP_TRAILING_WHITESPACE )
        if ( OCTAVE_SITE_DIR MATCHES "^${CMAKE_INSTALL_PREFIX}.*$" )
            set( OCTAVE_INSTALL_DIR ${OCTAVE_SITE_DIR} CACHE PATH "Installation directory for Octave modules" )
        else( )
            set( OCTAVE_INSTALL_DIR ${CMAKE_INSTALL_LIBEXECDIR}/${PROJECT_BASENAME}/octave )
        endif( )
    endif( NOT OCTAVE_INSTALL_DIR )

    if ( ${OCTAVE_VERSION_STRING} VERSION_GREATER "4.0" )
        target_compile_features(nds2_octave PRIVATE
            cxx_variadic_macros
            )
    elseif ( ${OCTAVE_VERSION_STRING} VERSION_EQUAL "4.0" )
        target_compile_features(nds2_octave PRIVATE
            cxx_variadic_macros
            )
    endif ( ${OCTAVE_VERSION_STRING} VERSION_GREATER "4.0" )

  #======================================================================
  # Configuration information
  #======================================================================
  configure_file( ${CMAKE_CURRENT_SOURCE_DIR}/nds2-client-octave.cfg.in
      ${CMAKE_CURRENT_BINARY_DIR}/nds2-client-octave.cfg
      @ONLY )
  #======================================================================
  # Installation Rules
  #======================================================================
  get_swig_property( nds2_module_filename MODULE_OUTPUT_NAME nds2_octave )

  if( NOT WIN32)
      install(
          FILES ${CMAKE_CURRENT_BINARY_DIR}/nds2-client-octave.cfg
          DESTINATION ${CMAKE_INSTALL_FULL_SYSCONFDIR}/${PROJECT_BASENAME}
          COMPONENT Octave
          )
  endif( NOT WIN32)

  install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/${nds2_module_filename}
    DESTINATION ${OCTAVE_INSTALL_DIR}
    COMPONENT Octave
  )


endif(ENABLE_SWIG_OCTAVE)

=== octave/test/CMakeLists.txt ===
# -*- coding: utf-8; cmake-tab-width: 4; indent-tabs-mode: nil; -*- vim:fenc=utf-8:ft=cmake:et:sw=4:ts=4:sts=4
if ( ENABLE_SWIG_OCTAVE )

    function(mock_server_test name command)
        add_test(
            NAME ${name}
            COMMAND
                "${PROG_NDS_TESTER}" ${NDS_TESTER_FLAGS}
                --octave=${OCTAVE_EXECUTABLE}
                --nds1-mock-server
                "${CMAKE_CURRENT_SOURCE_DIR}/${command}" )
        set_tests_properties( ${name}
            PROPERTIES
                FAIL_REGULAR_EXPRESSION "-- FAIL:"
                SKIP_RETURN_CODE 77 )
        set( NDS_CUSTOM_MEMCHECK_IGNORE
            ${NDS_CUSTOM_MEMCHECK_IGNORE} ${name}
                CACHE INTERNAL "" )
    endfunction(mock_server_test)

    function(replay_server_test name command json)
        if ( REPLAY_BLOB_CACHE_DIR )
            set_nds_protocols(protocols ${name})
            set( env "REPLAY_BLOB_REMOTE_CACHE=${REPLAY_BLOB_CACHE_DIR}" )

            foreach ( proto ${protocols} )
                set(test_name "${name}${proto}_")
                add_test(
                    NAME ${test_name}
                    COMMAND
                        "${PROG_NDS_TESTER}" ${NDS_TESTER_FLAGS}
                        --octave=${OCTAVE_EXECUTABLE}
                        --replay-server
                        --replay-json-filename ${json}
                        --replay-protocol ${proto}
                        "${CMAKE_CURRENT_SOURCE_DIR}/${command}" ${ARGN} )
                set_tests_properties( ${test_name}
                    PROPERTIES
                      ENVIRONMENT "${env}"
                      )
                if( CTEST_MEMORYCHECK_COMMAND )
                    add_test(
                        NAME _memcheck-manual_${test_name}
                        COMMAND
                            "${PROG_NDS_TESTER}" ${NDS_TESTER_FLAGS}
                            --octave=${OCTAVE_EXECUTABLE}
                            --replay-server
                            --replay-json-filename ${json}
                            --replay-protocol ${proto}
                            --command-prefix "${CTEST_MEMORYCHECK_COMMAND} ${CTEST_MEMORYCHECK_COMMAND_OPTIONS}"
                            "${CMAKE_CURRENT_SOURCE_DIR}/${command}" ${ARGN} )
                    set_tests_properties( _memcheck-manual_${test_name}
                        PROPERTIES
                            FAIL_REGULAR_EXPRESSION "-- FAIL:"
                            SKIP_RETURN_CODE 77
                            ENVIRONMENT "${env}"
                            )
                    set( NDS_CUSTOM_MEMCHECK_IGNORE
                        ${NDS_CUSTOM_MEMCHECK_IGNORE} _memcheck-manual_${test_name}
                        CACHE INTERNAL "" )
                    set( NDS_CUSTOM_TESTS_IGNORE
                        ${NDS_CUSTOM_TESTS_IGNORE} _memcheck-manual_${test_name}
                        CACHE INTERNAL "" )
                endif( CTEST_MEMORYCHECK_COMMAND )
                set_tests_properties( ${test_name}
                    PROPERTIES
                        FAIL_REGULAR_EXPRESSION "-- FAIL:"
                        SKIP_RETURN_CODE 77 )
                set( NDS_CUSTOM_MEMCHECK_IGNORE
                    ${NDS_CUSTOM_MEMCHECK_IGNORE} ${test_name}
                    CACHE INTERNAL "" )
            endforeach ( proto )
        endif ( REPLAY_BLOB_CACHE_DIR )
    endfunction(replay_server_test)

    function(ADD_OCTAVE_TEST target)
        if ( OCTAVE_EXECUTABLE )
            list( APPEND script
                "addpath(\"${CMAKE_CURRENT_SOURCE_DIR}\");"
                "addpath(\"${CMAKE_BINARY_DIR}/swig/common/module\");"
                "if ( isdir( \"${CMAKE_BINARY_DIR}/swig/common/module/.libs\" ) );"
                "  addpath(\"${CMAKE_BINARY_DIR}/swig/common/module/.libs\");"
                "endif;"
                "addpath(\"${CMAKE_CURRENT_BINARY_DIR}/../module/\");"
                "if ( isdir( \"${CMAKE_CURRENT_BINARY_DIR}/../module/.libs\" ) );"
                "  addpath(\"${CMAKE_CURRENT_BINARY_DIR}/../module/.libs\");"
                "endif;"
                "try;"
                "  run(\"${ARGN}\");"
                "  ret = 0;"
                "catch ex;"
                "  ret = 1;"
                "  msg = strcat( \"FAILED: \", ex.message );"
                "  disp( msg );"
                "end;"
                "exit(ret);"
                )
            set(OCTAVE_FLAGS --no-init-file --no-site-file --no-window-system --verbose)
            add_test( ${target} ${OCTAVE_EXECUTABLE} ${OCTAVE_FLAGS}
               --eval "${script}" )
            set_tests_properties( ${target} PROPERTIES 
                TIMEOUT 120 )
        endif ( OCTAVE_EXECUTABLE )
    endfunction(ADD_OCTAVE_TEST)

    configure_file( ${CMAKE_CURRENT_SOURCE_DIR}/UnitTest.m
        ${CMAKE_CURRENT_BINARY_DIR}/UnitTest.m
        COPYONLY )

    if( PYTHON_DFLT_EXECUTABLE )
message( STATUS "DEBUG: Setting up Octave tests" )
        #================================================================
        # These tests require a minimum of Python
        #================================================================
        # Final variable substitution before use
        #----------------------------------------------------------------
        string(CONFIGURE "${NDS_TESTER_FLAGS}" NDS_TESTER_FLAGS )
        #================================================================
        # General Tests
        #----------------------------------------------------------------
        mock_server_test( _octave_mockup_ test_mockup.m )
        #================================================================
        # Timeout Tests
        #----------------------------------------------------------------
        replay_server_test( _octave_nds1_timeout_
            test_nds1_timeout.m
            nds1-timeout.json )
        #================================================================
        # Test point listing tests
        #----------------------------------------------------------------
        replay_server_test(
                _octave_nds1_list_testpoint_
                test_nds1_list_testpoint.m
                nds1-list-testpoint.json)
        #================================================================
        # Iteration Tests
        #----------------------------------------------------------------
        replay_server_test(
            _octave_nds1_iterate-with-gaps_
            test_iterate_with_gaps.m
            nds1-iterate_with_leading_gap.json
            -proto-1 )
        replay_server_test(
            _octave_nds2_iterate-with-gaps_
            test_iterate_with_gaps.m
            nds2-iterate_with_leading_gap.json
            -proto-2 )
        #----------------------------------------------------------------
        replay_server_test(
            _octave_nds2_iterate-all-data_
            test_iterate_all_data.m
            nds2-iterate-all-data-synthetic.json
            -proto-2
            )
        replay_server_test(
            _octave_nds1_iterate-all-data_
            test_iterate_all_data.m
            nds1-iterate-all-data-synthetic.json
            -proto-1
            )
        replay_server_test(
            _octave_nds2_iterate-all-data-nogaphandler_
            test_iterate_all_data.m
            nds2-iterate-all-data-synthetic.json
            -proto-2 -no-gap
            )
        replay_server_test(
            _octave_nds1_iterate-all-data-nogaphandler_
            test_iterate_all_data.m
            nds1-iterate-all-data-synthetic.json
            -proto-1 -no-gap
            )
        #----------------------------------------------------------------
        replay_server_test(
            _octave_nds1_iterate-with-synth-gaps_
            test_iterate_with_synth_gaps.m
            nds1-iterate-with-gaps-synthetic.json
            -proto-1
            )
        replay_server_test(
            _octave_nds1_iterate-with-synth-gaps-nogaphandler_
            test_iterate_with_synth_gaps.m
            nds1-iterate-with-gaps-synthetic.json
            -proto-1 -no-gap
            )
        replay_server_test(
            _octave_nds1_iterate-with-synth-gaps-defaultgaphandler_
            test_iterate_with_synth_gaps.m
            nds1-iterate-with-gaps-synthetic.json
            -proto-1 -default-gap-handling
            )
        #----------------------------------------------------------------
        replay_server_test(
            _octave_nds2_iterate-live-data_
            test_iterate_live_data.m
            nds2-iterate-live-data-synthetic.json
            -proto-2
            )
        replay_server_test(
            _octave_nds1_iterate-live-data_
            test_iterate_live_data.m
            nds1-iterate-live-data-synthetic.json
            -proto-1
            )
        #----------------------------------------------------------------
        replay_server_test(
            _octave_nds2_iterate-live-data-bounded_
            test_iterate_live_data_bounded.m
            nds2-iterate-live-data-bounded-synthetic.json
            -proto-2
            )
        replay_server_test(
            _octave_nds1_iterate-live-data-bounded_
            test_iterate_live_data_bounded.m
            nds1-iterate-live-data-bounded-synthetic-multiconn.json
            -proto-1
            )
        #----------------------------------------------------------------
        replay_server_test(
            _octave_nds2_test_ticket-288_
            test_ticket_288.m
            nds2-ticket-288.json
            )
        #----------------------------------------------------------------
        replay_server_test(
            _octave_nds2_test_ticket-289_
            test_ticket_289.m
            nds2-ticket-289.json
            )

        replay_server_test(
            _octave_nds2_time-range_
            test_time_range_error.m
            nds2-iterate-all-data-synthetic.json
            -proto-2
            )
        replay_server_test(
            _octave_nds1_time-range_
            test_time_range_error.m
            nds1-iterate-all-data-synthetic.json
            -proto-1
            )
        replay_server_test(
            _octave_nds2_time-range-nogaphandler_
            test_time_range_error.m
            nds2-iterate-all-data-synthetic.json
            -proto-2 -no-gap
            )
        replay_server_test(
            _octave_nds1_time-range-nogaphandler_
            test_time_range_error.m
            nds1-iterate-all-data-synthetic.json
            -proto-1 -no-gap
            )
    endif( PYTHON_DFLT_EXECUTABLE )
endif ( ENABLE_SWIG_OCTAVE )

=== python/python3/CMakeLists.txt ===
# -*- mode: cmake; coding: utf-8; cmake-tab-width: 4; indent-tabs-mode: nil; -*- vim:fenc=utf-8:ft=cmake:et:sw=4:ts=4:sts=4
if ( NOT DEFINED ENABLE_SWIG_PYTHON3 OR ENABLE_SWIG_PYTHON3 )
  if ( NOT DEFINED PYTHON3_VERSION )
    set(PYTHON3_VERSION 3)
  endif ()

  #======================================================================
  # Find python and key modules
  #======================================================================

  cx_python(
      VERSION ${PYTHON3_VERSION}
      PREFIX PYTHON3 )
  cx_python_module(
      MODULE numpy REQUIRED
      PREFIX PYTHON3 )

  if (PYTHON3LIBS_FOUND)

      include( ${CMAKE_SOURCE_DIR}/python/test/testsuite.cmake )

      if (PYTHON3LIBS_FOUND AND PYTHON3_NUMPY_INCLUDE_PATH)

          set( ENABLE_SWIG_PYTHON3 "yes"
              CACHE BOOL "Enable building of SWIG bindings for Python 3" )

      endif(PYTHON3LIBS_FOUND AND PYTHON3_NUMPY_INCLUDE_PATH)

      include_directories(
          BEFORE
          ${CMAKE_CURRENT_SOURCE_DIR}
          ${PROJECT_SOURCE_DIR}/python/module
          ${PROJECT_BINARY_DIR}/python/module
          ${PROJECT_SOURCE_DIR}/common/module
          ${PROJECT_BINARY_DIR}/common/module
          ${PROJECT_BINARY_DIR}/src/client
          ${nds2-client_INCLUDE_DIRS}
          ${PYTHON3_NUMPY_INCLUDE_PATH}
          ${PYTHON3_INCLUDE_PATH}
          )

      set(INTERFACE_FILE "${PROJECT_SOURCE_DIR}/python/module/nds_python.i")


      set( NDS_PYTHON_VERSION_MAJOR ${PYTHON3_VERSION_MAJOR} )
      set( NDS_PYTHON_VERSION_MINOR ${PYTHON3_VERSION_MINOR} )
      set( PYTHON_MODULE_INSTALL_DIR ${PYTHON${PYTHON3_VERSION_MAJOR}${PYTHON3_VERSION_MINOR}_MODULE_INSTALL_DIR} )
      set( PYTHON_EXTMODULE_INSTALL_DIR ${PYTHON${PYTHON3_VERSION_MAJOR}${PYTHON3_VERSION_MINOR}_EXTMODULE_INSTALL_DIR} )

      cx_swig_python_module(
          PREFIX         PYTHON3
          INTERFACE_FILE ${INTERFACE_FILE}
          MODULE         nds2
          LINK_LIBRARIES nds::cxx
          SWIG_FLAGS "-py3" "-shadow" "-importall" "-Wall" "-threads" "-O"
          )
      set( NDS_PYTHON_VERSION_MAJOR ${PYTHON3_VERSION_MAJOR} )
      set( NDS_PYTHON_VERSION_MINOR ${PYTHON3_VERSION_MINOR} )
      set( PYTHON_MODULE_INSTALL_DIR ${PYTHON${PYTHON3_VERSION_MAJOR}${PYTHON3_VERSION_MINOR}_MODULE_INSTALL_DIR} )
      set( PYTHON_EXTMODULE_INSTALL_DIR ${PYTHON${PYTHON3_VERSION_MAJOR}${PYTHON3_VERSION_MINOR}_EXTMODULE_INSTALL_DIR} )

      #======================================================================
      # Configuration file rules
      #======================================================================
      configure_file( ${PROJECT_SOURCE_DIR}/python/module/nds2-client-python.cfg.in
          ${CMAKE_CURRENT_BINARY_DIR}/nds2-client-py${PYTHON3_VERSION_MAJOR}${PYTHON3_VERSION_MINOR}.cfg
          @ONLY )
      #======================================================================
      # Installation Rules
      #======================================================================
      if ( NOT WIN32 )
          install(
              FILES ${CMAKE_CURRENT_BINARY_DIR}/nds2-client-py${PYTHON3_VERSION_MAJOR}${PYTHON3_VERSION_MINOR}.cfg
              DESTINATION "${CMAKE_INSTALL_FULL_SYSCONFDIR}/${PROJECT_BASENAME}"
              COMPONENT Python3
              )

      endif( NOT WIN32 )

      #======================================================================
      # Do unit tests to verify the interface
      #======================================================================
      do_python_tests(
          PREFIX            PYTHON3
          NAMESPACE         python3
          PYTHON_MODULE_DIR ${CMAKE_CURRENT_BINARY_DIR}
          TEST_SOURCE_DIR   ${CMAKE_SOURCE_DIR}/python/test
          )
  endif( )

  #======================================================================
  # Provide additional information regarding components
  #======================================================================

  cpack_add_component(Python3
      DISPLAY_NAME "Python 3.x extensions"
      DESCRIPTION
        "Pieces needed to use the nds2 client from Python 3.x"
      GROUP Runtime)

endif ( )

=== debian/changelog ===
nds2-client-swig (0.16.10-1) unstable; urgency=low

  * Updated code as described in the ChangeLog.md

 -- Edward Maros <ed.maros@ligo.org>  Thu, 05 Aug 2021 08:10:05 -0700

nds2-client-swig (0.16.9-1) unstable; urgency=low

  * Updated code as described in the ChangeLog

 -- Edward Maros <ed.maros@ligo.org>  Wed, 05 May 2021 18:32:07 -0700

nds2-client-swig (0.16.8-1) unstable; urgency=low

  * Updated code as described in the ChangeLog

 -- Edward Maros <ed.maros@ligo.org>  Thu, 13 Aug 2020 15:50:17 -0700

nds2-client-swig (0.16.7-1) unstable; urgency=low

  * Updated code as described in the ChangeLog

 -- Edward Maros <ed.maros@ligo.org>  Thu, 19 Mar 2020 11:27:38 -0700

nds2-client-swig (0.16.6-1) unstable; urgency=low

  * Updated code as described in the ChangeLog

 -- Edward Maros <ed.maros@ligo.org>  Fri, 27 Sep 2019 14:09:47 -0700

nds2-client-swig (0.16.5-1) unstable; urgency=low

  * Updated code as described in the ChangeLog

 -- Edward Maros <ed.maros@ligo.org>  Thu, 07 Mar 2019 11:26:54 -0800

nds2-client-swig (0.16.4-1) unstable; urgency=medium

  * Updated code as described in the ChangeLog

 -- Edward Maros <ed.maros@ligo.org>  Wed, 20 Feb 2019 11:19:22 -0800

nds2-client-swig (0.16.3-1) unstable; urgency=medium

  * Updated code as described in the ChangeLog

 -- Edward Maros <ed.maros@ligo.org>  Fri, 02 Nov 2018 11:16:25 -0700

nds2-client-swig (0.16.2-1) unstable; urgency=medium

  * Updated code as described in the ChangeLog

 -- Edward Maros <ed.maros@ligo.org>  Mon, 22 Oct 2018 09:25:14 -0700

nds2-client-swig (0.16.1-1) unstable; urgency=medium

  * Updated code as described in the ChangeLog

 -- Edward Maros <ed.maros@ligo.org>  Fri, 03 Aug 2018 09:38:11 -0700

nds2-client-swig (0.16.0-1) unstable; urgency=medium

  * Updated code as described in the ChangeLog

 -- Edward Maros <ed.maros@ligo.org>  Thu, 02 Aug 2018 13:32:57 -0700

nds2-client-swig (0.15.3-1) unstable; urgency=medium

  * Updated code as described in the ChangeLog

 -- Edward Maros <ed.maros@ligo.org>  Wed, 14 Mar 2018 13:39:41 -0700

=== debian/control ===
Source: nds2-client-swig
Section: net
Priority: optional
Maintainer: Edward Maros <ed.maros@ligo.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 cmake,
 gawk,
 pkg-config,
 swig (>= 3.0.7),
 python,
 python-all-dev,
 python-numpy,
 python3-all-dev,
 python3-numpy,
 default-jdk,
 octave | octave3.2 | octave3.0,
 liboctave-dev | octave3.2-headers | octave3.0-headers,
 libnds2-client-dev (>= 0.16.7)
Standards-Version: 3.9.8
Homepage: https://wiki.ligo.org/Computing/NDSClient

Package: nds2-client-swig
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Recommends:
 krb5-user
Suggests:
 libnds2-client-java,
 libnds2-client-matlab,
 octave-nds2-client,
 python-nds2-client,
 python3-nds2-client
Description: NDS2 client binaries
 The Network Data Server (NDS) is a TCP/IP protocol for retrieving
 online or archived data from thousands of instrument channels at LIGO
 (Laser Interferometer Gravitational-Wave Observatory) sites and data
 analysis clusters.  Version 2 of the protocol includes communication
 with Kerberos and GSSAPI.
 .
 This package includes some client binary examples.

Package: libnds2-client-java
Section: java
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: NDS2 client java interface
 The Network Data Server (NDS) is a TCP/IP protocol for retrieving
 online or archived data from thousands of instrument channels at LIGO
 (Laser Interferometer Gravitational-Wave Observatory) sites and data
 analysis clusters.  Version 2 of the protocol includes communication
 with Kerberos and GSSAPI.
 .
 This package includes the SWIG-generated java bindings, which are
 also usable from Matlab.

Package: octave-nds2-client
Architecture: any
Depends:
 libnds2-client (>= 0.16.7),
 octave,
 ${shlibs:Depends},
 ${misc:Depends}
Description: NDS2 client octave bindings
 The Network Data Server (NDS) is a TCP/IP protocol for retrieving
 online or archived data from thousands of instrument channels at LIGO
 (Laser Interferometer Gravitational-Wave Observatory) sites and data
 analysis clusters.  Version 2 of the protocol includes communication
 with Kerberos and GSSAPI.
 .
 This package includes the SWIG-generated octave bindings.

Package: python-nds2-client
Section: python
Architecture: any
Depends: ${python:Depends},
 libnds2-client (>= 0.16.7),
 ${shlibs:Depends},
 ${misc:Depends}
Description: NDS2 client Python bindings
 The Network Data Server (NDS) is a TCP/IP protocol for retrieving
 online or archived data from thousands of instrument channels at LIGO
 (Laser Interferometer Gravitational-Wave Observatory) sites and data
 analysis clusters.  Version 2 of the protocol includes communication
 with Kerberos and GSSAPI.
 .
 This package includes the SWIG-generated python bindings.

Package: python3-nds2-client
Section: python
Architecture: any
Depends: ${python3:Depends},
 libnds2-client (>= 0.16.7),
 ${shlibs:Depends},
 ${misc:Depends}
Description: NDS2 client Python 3 bindings
 The Network Data Server (NDS) is a TCP/IP protocol for retrieving
 online or archived data from thousands of instrument channels at LIGO
 (Laser Interferometer Gravitational-Wave Observatory) sites and data
 analysis clusters.  Version 2 of the protocol includes communication
 with Kerberos and GSSAPI.
 .
 This package includes the SWIG-generated python bindings.

Package: libnds2-client-matlab
Architecture: any
Depends:
 libnds2-client-java (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: NDS2 client MATLAB interface
 This provides MATLAB wrappers for the nds2 client

Package: nds2-client-swig-all
Architecture: any
Depends:
 ${misc:Depends},
 libnds2-client-java (= ${binary:Version}),
 libnds2-client-matlab (= ${binary:Version}),
 octave-nds2-client (= ${binary:Version}),
 python-nds2-client (= ${binary:Version}),
 python3-nds2-client (= ${binary:Version})
Description: NDS2 meta package
 The Network Data Server (NDS) is a TCP/IP protocol for retrieving
 online or archived data from thousands of instrument channels at LIGO
 (Laser Interferometer Gravitational-Wave Observatory) sites and data
 analysis clusters.  Version 2 of the protocol includes communication
 with Kerberos and GSSAPI.
 .
 This package installs all NDS2 client packages, including libraries,
 language bindings, binary interface, and documentation.
